## org.apache.myfaces.custom.form
Class HtmlForm

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIForm
                  javax.faces.component.html.HtmlForm
                      org.apache.myfaces.custom.form.HtmlForm

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder

public class HtmlForm
extends javax.faces.component.html.HtmlForm

Version:
  $Revision$ $Date$
Author:
  Mathias Broekelmann (latest modification by $Author$)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIForm
`COMPONENT_FAMILY`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlForm()`

Method Summary
`java.lang.Integer` `getPort()`
`java.lang.String` `getScheme()`
`java.lang.String` `getServerName()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setPort(java.lang.Integer port)`
`void` `setScheme(java.lang.String scheme)`
`void` `setServerName(java.lang.String serverName)`

Methods inherited from class javax.faces.component.html.HtmlForm

`getAccept, getAcceptcharset, getDir, getEnctype, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnreset, getOnsubmit, getStyle, getStyleClass, getTarget, getTitle, setAccept, setAcceptcharset, setDir, setEnctype, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnreset, setOnsubmit, setStyle, setStyleClass, setTarget, setTitle`

Methods inherited from class javax.faces.component.UIForm
`getFamily, isSubmitted, processDecodes, processUpdates, processValidators, setSubmitted`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlForm

    public HtmlForm()

Method Detail

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  See Also:
    `HtmlForm.saveState(javax.faces.context.FacesContext)`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  See Also:
    `HtmlForm.restoreState(javax.faces.context.FacesContext, java.lang.Object)`

### getPort

    public java.lang.Integer getPort()

### setPort

    public void setPort(java.lang.Integer port)

### getScheme

    public java.lang.String getScheme()

### setScheme

    public void setScheme(java.lang.String scheme)

### getServerName

    public java.lang.String getServerName()

### setServerName

    public void setServerName(java.lang.String serverName)